/**
 * 
 */
package org.votech.plastic.managers;

/**
 * This is the simplest possible application using the {@link org.votech.plastic.managers.PlasticConnectionManager} class
 * to handle the plastic hub.  It registers as an application understanding no messages, sends no messages,
 * and listens for no messages.  Nevertheless, it is a real Plastic application and will appear as registered
 * with the hub.  For a more realistic application see {@link org.votech.plastic.managers.ExampleApplication}.
 * Requires plastic.jar and its dependencies: see http://plastic.sourceforge.net/plastic
 * @since 0.6.0
 * 
 * @author jdt
 *
 */
public class SimplestExampleApplication {
    public SimplestExampleApplication() {
        // Create a manager with no message handler (for incoming messages), which doesn't connect on creation
        // but will attempt to reconnect every 1000 milliseconds if the connection drops after connection.
        PlasticConnectionManager manager = new PlasticConnectionManagerImpl("Trivial",null,false,1000);
        manager.connect(); //connect to the hub, blocking.  If you don't want to block use connectWhenReady()
    }
    
    public static void main(String[] args) {
        new SimplestExampleApplication();
    }
    
}
